<?php
/*
# ------------------------------------------------------------------------
# Extensions for Joomla 2.5.x - Joomla 3.x - Joomla 4.x
# ------------------------------------------------------------------------
# Copyright (C) 2011-2020 Eco-Joom.com. All Rights Reserved.
# @license - PHP files are GNU/GPL V2.
# Author: Eco-Joom.com
# Author: Makeev Vladimir
#Author email: v.v.makeev@icloud.com
# Websites:  http://eco-joom.com
# Date modified: 05/05/2020 - 13:00
# ------------------------------------------------------------------------
*/

// No direct access.
defined('_JEXEC') or die;

class plgSystemExtcustomjscss extends JPlugin {
	function onBeforeCompileHead() {
		if (JFactory::getApplication()->isAdmin()){
			return true;
		}
		$doc 	= JFactory::getDocument();
		$ext_css = $this->params->get('ext_css');
		$ext_js	= $this->params->get('ext_js');
		if (strlen($ext_css) > 0) { $doc->addStyleDeclaration($ext_css); }
		if (strlen($ext_js) > 0) { $doc->addScriptDeclaration($ext_js); }
	}
}